Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1064756 - netstat -S/--sctp not documented
Summary: netstat -S/--sctp not documented
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: man-pages-overrides
Version: 7.0
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Jan Chaloupka
QA Contact: Iveta Wiedermann
URL:
Whiteboard:
Depends On:
Blocks: 1167833
TreeView+ depends on / blocked
 
Reported: 2014-02-13 09:15 UTC by Jiri Popelka
Modified: 2015-03-05 13:06 UTC (History)
7 users (show)

Fixed In Version: man-pages-overrides-7.1.2-1.el7
Doc Type: Bug Fix
Doc Text:
Cause: netstat -S/--sctp was not documented Consequence: Man page did not documented all options Fix: netstat -S/--sctp was documented Result: netstat -S/--sctp is documented
Clone Of:
Environment:
Last Closed: 2015-03-05 13:06:03 UTC


Attachments (Terms of Use)
Add -S to help and man (deleted)
2014-02-14 10:03 UTC, Jaromír Končický
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0516 normal SHIPPED_LIVE man-pages-overrides bug fix update 2015-03-05 16:14:35 UTC

Description Jiri Popelka 2014-02-13 09:15:01 UTC
Description of problem:
netstat's -S/--sctp is not mentioned in help nor man page, 
see also bug #1063913, comment #4

Expected results:
# netstat -h
...
<Socket>={-t|--tcp} {-u|--udp} {-U|--udplite} {-S|--sctp} {-w|--raw} {-x|--unix} --ax25 --ipx --netrom

# man netstat
...
netstat {--statistics|-s} [--tcp|-t] [--udp|-u] [--udplite|-U] [--sctp|-S] [--raw|-w] [delay]

Comment 1 Jaromír Končický 2014-02-14 10:03:57 UTC
Created attachment 863190 [details]
Add -S to help and man

Comment 2 Jaromír Končický 2014-02-24 14:48:16 UTC
Fixed in upstream: http://sourceforge.net/p/net-tools/mailman/message/31978747/

Comment 3 Jiri Popelka 2014-02-28 11:30:48 UTC
not a blocker, moving to rhel-7.1.0

Comment 15 errata-xmlrpc 2015-03-05 13:06:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0516.html


Note You need to log in before you can comment on or make changes to this bug.